package de.historischekommission_muenchen.oxydition.brfedition.habw.operations;

import de.historischekommission_muenchen.oxydition.common.beans.ListSelectionTextfieldBean;
import de.historischekommission_muenchen.oxydition.common.operations.abstracts.FullEditionInsertDocument;
import de.historischekommission_muenchen.oxydition.common.utilities.OperationUtility;
import de.historischekommission_muenchen.oxydition.common.utilities.XMLUtility;

/**
 * Oxygen-Author-Operation mit der die Benutzer*innen einen neuen Brief zum
 * Editionsgesamtdokument der HABw-Edition hinzufügen können.
 * 
 * @author Maximilian Schrott
 *
 */
public class FullEditionInsertDocument_HABw extends FullEditionInsertDocument {

	@Override
	protected String constructDocumentFragment(ListSelectionTextfieldBean input) {

		String fileNameFull = input.value;

		String fileNameJustNumber = OperationUtility.subStringWithRegex(fileNameFull, "(?<=habwbrf_)(.*)(?=.xml)");

		StringBuilder fragmentBuilder = new StringBuilder();
		fragmentBuilder.append(
				"<text " + XMLUtility.TEIXMLNS + " n='1'> <front> <head>" + input.textInput + "</head> </front>");
		fragmentBuilder
				.append("<xi:include href=\"" + input.value + "\" xpointer=\"body_" + fileNameJustNumber + "\">");
		fragmentBuilder.append("<xi:fallback><body " + XMLUtility.TEIXMLNS + "><p " + XMLUtility.TEIXMLNS + ">");
		fragmentBuilder.append("FIXME: MISSING XINCLUDE " + fileNameJustNumber + " CONTENT </p></body></xi:fallback>");
		fragmentBuilder.append("</xi:include> </text>");

		return fragmentBuilder.toString();
	}
}
