package de.historischekommission_muenchen.oxydition.common.dialogs;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JTextField;

import de.historischekommission_muenchen.oxydition.common.beans.SingleInputBean;
import de.historischekommission_muenchen.oxydition.common.utilities.DialogUtility;

/**
 * Dialogfenster für die Operation, die nur eine Texteingabe benötigen. Enthält
 * ein Texteingabefeld dessen Inhalt bei erfolgreichem Abschluss der Eingabe an
 * die aufrufende Klasse zurückgegeben wird.
 * 
 * @author Maximilian Schrott
 *
 */
public class SingleInputDialog extends ModularGridBagDialog {

	private static final long serialVersionUID = 3016887367260981627L;

	protected JTextField singleInputField;
	protected SingleInputBean input;

	public SingleInputDialog(JFrame oxygenFrame, String title, String inputLabelText) {
		super(oxygenFrame, title);

		singleInputField = addField(inputLabelText);
		insertOperationEndButtonPanel("Einfügen", "Abbrechen");
	}

	public SingleInputBean displayDialog() {

		input = new SingleInputBean();
		okButton.addActionListener(new OkButtonListener());

		readyDialog();

		return input;
	}

	private class OkButtonListener implements ActionListener {

		@Override
		public void actionPerformed(ActionEvent arg0) {

			boolean inputValid = validateInput();
			if (inputValid) {
				extractInput();
				dispose();
			}
		}
	}

	protected boolean validateInput() {

		if (DialogUtility.isFilledTextfield(singleInputField)) {
			return true;
		} else {
			displayInputNotAllValidMessage("Eingabe fehlt");
			return false;

		}
	}

	private void extractInput() {
		input.inputText = singleInputField.getText();
		input.isFilled = true;
	}
}
