package de.historischekommission_muenchen.oxydition.protedition.weimprot.dialogs;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JTextField;

import de.historischekommission_muenchen.oxydition.common.dialogs.ModularGridBagDialog;

/**
 * Dialogfenster für die Operation zum Einfügen von Verweisen auf ein
 * Quelldokument. Enthält Textfeld dessen Eingabe darauf kontrolliert wird, ob
 * es sich um eine gültige Dokumentennummer handelt.
 * 
 * @author Maximilian Schrott
 *
 */
public class InsertSourceDocumentReferenceDialog extends ModularGridBagDialog {

	private static final long serialVersionUID = -2774014412248426254L;
	private JTextField documentNumberField;
	String documentNumber;

	public InsertSourceDocumentReferenceDialog(JFrame owner) {
		super(owner, "Verweis auf Quelldokument einfügen");

		documentNumber = "";
		documentNumberField = addField("Dokumentennummer");
		insertOperationEndButtonPanel("Einfügen", "Abbrechen");
	}

	public String displayDialog() {

		okButton.addActionListener(new InsertSourceDocumentReferenceOkButtonListener());
		readyDialog();
		return documentNumber;
	}

	private class InsertSourceDocumentReferenceOkButtonListener implements ActionListener {

		@Override
		public void actionPerformed(ActionEvent e) {
			boolean inputValid = validateInput();

			if (inputValid) {
				extractInput();
				dispose();
			} else {
				String notAllValidMessage = "Keine gültige Dokumentennummer";
				displayInputNotAllValidMessage(notAllValidMessage);
			}
		}

		private boolean validateInput() {

			String documentNumberInput = documentNumberField.getText();

			return documentNumberInput.matches("\\d{1,3}");
		}

		private void extractInput() {
			documentNumber = documentNumberField.getText();
		}
	}

}
