package de.historischekommission_muenchen.oxydition.protedition.weimprot.operations;

import de.historischekommission_muenchen.oxydition.common.utilities.XMLUtility;
import de.historischekommission_muenchen.oxydition.protedition.common.operations.InsertUnpubSourceInfo;

/**
 * Anpassung der Operation zum Einfügen von Referenzen auf ungedruckte Quellen
 * für WeiMProt. Im Gegensatz zu Oberklasse fügt die Operation auch den Namen
 * des Archivs zum Quellverweis hinzu, falls es sich dabei NICHT um das
 * Bayerische Hauptstaatsarchiv handelt.
 * 
 * @author Maximilian Schrott
 *
 */
public class InsertUnpubSourceInfo_WeiMProt extends InsertUnpubSourceInfo {

	@Override
	protected String createDisplayName(String selectedSourceName) {
		// Falls die Quelle aus dem Bayerischen Hauptstaatsarchiv kommt,
		// Archivnamen weglassen, ansonsten Archivnamen beibehalten, aber den
		// trennenden ":" entfernen

		String[] selectedSourceNameSplit = selectedSourceName.split(": ");
		String sourceName;

		if (selectedSourceNameSplit[0].contains("BayHStA")) {
			sourceName = selectedSourceNameSplit[selectedSourceNameSplit.length - 1];
		} else {
			sourceName = selectedSourceNameSplit[0] + " " + selectedSourceNameSplit[1];
		}

		return XMLUtility.escapeXML(sourceName);
	}

}
