package de.historischekommission_muenchen.oxydition.register.adaptions.weimrprot;

import de.historischekommission_muenchen.oxydition.common.beans.SingleInputBean;
import de.historischekommission_muenchen.oxydition.register.operations.RegisterNewPerson;
import de.historischekommission_muenchen.oxydition.register.utilities.RegisterUtility;

/**
 * Anpassung der Operation zum Einfügen neuer Personeneinträge in die RDB für
 * die Edition DelBrf. Verändert das Schema des Eintrags gegenüber der
 * Standartoperation.
 * 
 * @author Maximilian Schrott
 */
public class RegisterNewPerson_WeiMProt extends RegisterNewPerson {

	@Override
	protected String constructNewPersonFragment(SingleInputBean input) {

		String personId = RegisterUtility.generateID(input.inputText, false);

		StringBuilder fragmentBuilder = new StringBuilder();

		fragmentBuilder.append("<person xmlns='http://www.tei-c.org/ns/1.0' xml:id='" + personId + "'>");
		fragmentBuilder.append("<persName type='Registername'>" + input.inputText + "</persName>");
		fragmentBuilder.append("<persName type='Lesename'/>");
		fragmentBuilder.append("<note type='Qualifikator'/>");
		fragmentBuilder.append("<floruit/>");
		fragmentBuilder.append("<birth><placeName/></birth>");
		fragmentBuilder.append("<faith/>");
		fragmentBuilder.append("<affiliation/>");
		fragmentBuilder.append("<occupation/>");
		fragmentBuilder.append("<idno type='gnd'/>");
		fragmentBuilder.append("<note type='Biogramm'/>");
		fragmentBuilder.append("</person>");

		return fragmentBuilder.toString();
	}
}
