package de.historischekommission_muenchen.oxydition.register.beans;

import javax.swing.text.BadLocationException;

import ro.sync.ecss.extensions.api.node.AuthorElement;

/**
 * Datenhaltungsklasse zur Speicherung der Daten einer bereits bestehenden
 * Quellensammlung (Archiv/Bestand) in der RDB für ungedruckte Quellen
 * 
 * @author Maximilian Schrott
 * 
 */
public class SourceCollectionBean extends NewSourceCollectionBean {

	public String id;

	/**
	 * @param id    - xml:id der Quellensammlung
	 * @param names - der/die <name>-Kinderknoten des Sammlungs-<items>
	 * @throws BadLocationException
	 */
	public SourceCollectionBean(String id, AuthorElement[] names) throws BadLocationException {
		this.id = id;
		normName = "";
		fullName = "";
		extractNames(names);

	}

	public SourceCollectionBean() {
		id = "";
		normName = ("");
		fullName = ("");
	}

	public void extractNames(AuthorElement[] names) throws BadLocationException {
		for (int i = 0; i < names.length; i++) {

			AuthorElement element = names[i];

			if (element.getAttribute("type") != null) {
				String name = element.getAttribute("type").getRawValue();

				if (name.equalsIgnoreCase("Kennname")) {
					normName = element.getTextContent();
				} else if (name.equalsIgnoreCase("Vollname")) {
					fullName = element.getTextContent();
				}
			}
		}
	}
}
